<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('profesionales_clientes', function (Blueprint $table) {
            $table->id();
            $table->timestamps();

            $table->foreignId('profesional_id')
                  ->constrained('profesionales')
                  ->onDelete('cascade');

            $table->foreignId('cliente_id')
                  ->constrained('clientes')
                  ->onDelete('cascade');

            $table->string('estadorelacion')->default('Activo');

            $table->unique(['profesional_id','cliente_id'], 'profesionales_clientes_unique');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('profesionales_clientes');
    }
};
